Skip to main content
GET
/
api
/
v1
/
reports
Get report data based on given type
curl --request GET \
  --url https://api.squared.ai/api/v1/reports \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.squared.ai/api/v1/reports"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.squared.ai/api/v1/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": {
    "sync_run_triggered": [
      {
        "time_slice": "2024-02-19T06:25:00.000Z",
        "total_count": 123,
        "failed_count": 123,
        "success_count": 123
      }
    ],
    "total_sync_run_rows": [
      {
        "time_slice": "2024-02-19T12:20:00.000Z",
        "total_count": 123,
        "failed_count": 123,
        "success_count": 123
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

type
enum<string>
required

Type of the report to query.

Available options:
workspace_activity
metric
enum<string>

Specific metric of interest in the report.

Available options:
sync_run_triggered,
total_sync_run_rows,
all
connector_ids
integer[]

IDs of the connectors.

time_period
enum<string>

Time period for the report.

Available options:
one_week,
one_day

Response

Successfully retrieved report data.

data
object